#include "Font.h"

Font::Font(std::string filename)
	:
	surf(filename),
	glyphWidth(surf.GetWidth() / ncols),
	glyphHeight(surf.GetHeight() / nrows)
{
}

void Font::drawText(std::string& text, const Location& loc, Graphics& gfx)
{
	Location Loc = loc;
	for (int i = 0; i < sizeof(text); i++)
	{
		gfx.DrawSprite(Loc.x, Loc.y, surf, MapGlyphRect(text[i]));
		Loc.x += glyphWidth;
	}
}

Rect Font::MapGlyphRect(char c) const
{
	const int glyphIndex = c - ' ';
	const int xglyph = glyphIndex % ncols;
	const int yglyph = glyphIndex / nrows;
	Rect rect(xglyph * glyphWidth, xglyph * glyphWidth + glyphWidth, yglyph * glyphHeight, yglyph * glyphHeight + glyphHeight);
	return rect;
}

int Font::get_glyphHeight()
{
	return glyphWidth;
}