#pragma once
#include "Surface.h"
#include "Location.h"
#include "Graphics.h"

class Font
{
public:
	Font(std::string filename);
	void drawText(std::string& text, const Location& loc, Graphics& gfx);
	int get_glyphHeight();
private:
	Rect MapGlyphRect(char c) const;
	Surface surf;
	int glyphWidth;
	int glyphHeight;
	static constexpr int nrows = 3;
	static constexpr int ncols = 32;
	Color chroma = Colors::Black;
	static constexpr char firstchar = ' ';
	static constexpr char lastchar = '~';
};